Bug 1343093 - Coordination URL for gnocchi is not set
Summary: Coordination URL for gnocchi is not set
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ga
: 9.0 (Mitaka)
Assignee: Pradeep Kilambi
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-06 13:31 UTC by Yurii Prokulevych
Modified: 2016-08-11 11:31 UTC (History)
9 users (show)

Fixed In Version: openstack-tripleo-heat-templates-2.0.0-11.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-11 11:31:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1599 normal SHIPPED_LIVE Red Hat OpenStack Platform 9 director Release Candidate Advisory 2016-08-11 15:25:37 UTC
Launchpad 1590087 None None None 2016-06-08 14:54:02 UTC

Description Yurii Prokulevych 2016-06-06 13:31:11 UTC
Description of problem:
-----------------------
Coordination URL is not configured with director when HA is requested with swift backend.

Deploy command:
$ openstack  overcloud deploy --libvirt-type qemu --ntp-server clock.redhat.com --templates --control-scale 3 --compute-scale 2 --ceph-storage-scale 2 -e gnocchi_swift.yaml

$ cat gnocchi_swift.yaml 
parameter_defaults:
    GnocchiBackend: 'swift'

Expected:
---------
Like with ceilometer:
coordination_url = redis://:SomePass@RedisIP:6379/


Version-Release number of selected component (if applicable):
-------------------------------------------------------------
openstack-tripleo-image-elements-0.9.9-3.el7ost.noarch
python-tripleoclient-2.0.0-1.0.2.el7ost.noarch
openstack-tripleo-heat-templates-kilo-2.0.0-8.el7ost.noarch
openstack-tripleo-common-2.0.0-5.el7ost.noarch
openstack-tripleo-heat-templates-liberty-2.0.0-8.el7ost.noarch
openstack-tripleo-heat-templates-2.0.0-8.el7ost.noarch
openstack-tripleo-puppet-elements-2.0.0-2.el7ost.noarch
openstack-tripleo-0.0.8-0.2.d81bd6dgit.el7ost.noarch

python-gnocchiclient-2.2.0-1.el7ost.noarch
openstack-gnocchi-common-2.1.1-1.el7ost.noarch
openstack-gnocchi-statsd-2.1.1-1.el7ost.noarch
python-gnocchi-2.1.1-1.el7ost.noarch
openstack-gnocchi-metricd-2.1.1-1.el7ost.noarch
openstack-gnocchi-indexer-sqlalchemy-2.1.1-1.el7ost.noarch
openstack-gnocchi-api-2.1.1-1.el7ost.noarch
openstack-gnocchi-carbonara-2.1.1-1.el7ost.noarch


Additional info:
----------------
Virtual setup: 3controllers + 2computes + 2cephs

Comment 9 Yurii Prokulevych 2016-07-19 16:34:47 UTC
Verified with openstack-tripleo-heat-templates-2.0.0-15.el7ost.noarch

Overcloud deployed with command:
--------------------------------
openstack  overcloud deploy --libvirt-type qemu --ntp-server clock.redhat.com --templates --control-scale 3 --compute-scale 2 --ceph-storage-scale 1

Than updated to swift backend:
------------------------------
openstack  overcloud deploy --libvirt-type qemu --ntp-server clock.redhat.com --templates --control-scale 3 --compute-scale 2 --ceph-storage-scale 1 -e gnocchi_swift.yaml

cat gnocchi_swift.yaml 
parameter_defaults:
    GnocchiBackend: 'swift'


Than updated to ceph backend:
-----------------------------
openstack  overcloud deploy --libvirt-type qemu --ntp-server clock.redhat.com --templates --control-scale 3 --compute-scale 2 --ceph-storage-scale 1 -e gnocchi_ceph.yam

cat gnocchi_ceph.yaml
parameter_defaults:
    GnocchiBackend: 'rbd'

Gnocchi API's CRUD succeeded.

Comment 11 errata-xmlrpc 2016-08-11 11:31:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-1599.html


Note You need to log in before you can comment on or make changes to this bug.